%define languageenglazy Interlingua
%define languagecode    ia
#define lc_ctype        nothing here

%define upstream_version 20050226

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 14
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv2+
Group:          System/Internationalization
URL:            http://wiki.services.openoffice.org/wiki/Dictionaries
Source0:        http://download.savannah.gnu.org/releases/interlingua/ia_myspell.zip

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
#Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
#Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
tr -d '\r' < README_ia.txt > README_ia.txt.new
touch -r README_ia.txt README_ia.txt.new
mv -f README_ia.txt.new README_ia.txt

%install
install -D -m 0644 -p ia.dic %{buildroot}%{_datadir}/hunspell/%{languagecode}.dic
install -D -m 0644 -p ia.aff %{buildroot}%{_datadir}/hunspell/%{languagecode}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{languagecode}.dic %{languagecode}.dic
    ln -s ../hunspell/%{languagecode}.aff %{languagecode}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_ia.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20050226.1-14.mga8
+ Revision: 1491364
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20050226.1-13.mga7
+ Revision: 1263325
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20050226.1-12.mga6
+ Revision: 936379
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20050226.1-11.mga5
+ Revision: 747756
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20050226.1-10.mga5
+ Revision: 680255
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20050226.1-9.mga4
+ Revision: 505712
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20050226.1-8.mga3
+ Revision: 353503
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20050226.1-7.mga3
+ Revision: 325461
- rebuild for Mga3 Beta1

* Mon Jan 23 2012 kamil <kamil> 0.20050226.1-6.mga2
+ Revision: 200305
- fix URL
- adapt .spec for the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20050226.1-5.mga1
+ Revision: 68854
- imported package hunspell-ia


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050226-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 11 2010 Caolán McNamara <caolanm@redhat.com> - 0.20050226-4
- drop build require

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050226-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050226-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 07 2008 Caolán McNamara <caolanm@redhat.com> - 0.20050226-1
- initial version
